INTERFACE
SUBROUTINE FPMODPREC(KGP,YD_PGPBUF,KFLDPTP)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NDGLG ,NDGUXG ,NDLUXG ,NDGSAL ,&
 & NPROMA ,NDGENL ,NDGSAG ,NDGENG 
USE YOMMP , ONLY : MY_REGION_EW ,NSTA ,NONL ,&
 & NFPSTA ,NFPONL ,NFPOFF ,NFPEXT ,NAFPB1 ,&
 & NFRSTLOFF,NPTRFLOFF,NFPCOMM ,&
 & NFPPROCS ,NFPRPT ,NFPSPT ,&
 & NFPSENDPOS,NFPRECVPOS,NFPSENDPTR,NFPRECVPTR,&
 & NFPCORE,&
 & MYFRSTACTLAT,MYLSTACTLAT 
USE GRIDPOINT_BUFFERS_MIX , ONLY : gridpoint_buffer
TYPE(GRIDPOINT_BUFFER),INTENT(INOUT) :: YD_PGPBUF
INTEGER(KIND=JPIM),INTENT(IN) :: KGP
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDPTP(YD_PGPBUF%IFIELDS)
END SUBROUTINE FPMODPREC
END INTERFACE
